## Sea anemones

[They're cool!](http://google.com/search?q=sea+anemones)

# Instruction:
1. Download cinder from here: [Cinder](http://libcinder.org/releases/cinder_0.8.5_vc2012.zip)
2. Unzip to C:\ (don't change Cinder folder name)
3. View -> Other Windows -> Property Manager\
Right click on Debug|Win32 -> Add New Project Property Sheet -> paths.props\
Right click on Release|Win32 -> Add Existing Project Property Sheet -> paths.props\
paths.props -> Common Properties -> User Macros -> Add Macro\
Name: BULLET\_LIB, Value: path to bullet library directory\
Name: BULLET\_INCLUDE, Value: path to bullet include directory
4. Fix bullet source and rebuild:\
btQuadWord.h on line 76 (the \#ifdefs around the btQuadWord constructor, copy constructor, and assignment operator):\
    #if defined(BT_USE_SSE) || defined(BT_USE_NEON)\
should become:\
    #if (defined(BT_USE_SSE_IN_API) && defined(BT_USE_SSE)) || defined(BT_USE_NEON)\
[Source](http://bulletphysics.org/Bullet/phpBB3/viewtopic.php?t=8915)


# Idea
[Here](http://marcinignac.com/projects/cindermedusae/)

# Concept
![Image](https://bitbucket.org/4gn3s/sea-anemones/raw/eec91c22b59cc1a81d7380328595ffbb5e67df73/sea_anemones_concept.png)

# PARAMETERS
Basal disc:

* 3 different radiuses
* height
* "sole" shape

Cnidocytes:

* different shapes: cylindical, cone-like
* length
* 3 ending shapes

Cnidocytes on basal disc:

* radius of mouth
* density of cnidocytes

[Might be useful](http://marcinignac.com/blog/cindermedusae-making-generative-creatures/)

Textures:

* fuzzy stripes
* ellipses
* short stripes

Gradients:

* dark at the beginning / end (cnidocytes)
* regular (basal disc)
[This](http://devmag.org.za/2012/07/29/how-to-choose-colours-procedurally-algorithms/) might be useful.

Others:

* alpha blending
* fluorescent colors
