#version 110
attribute float in_height;

varying vec3 v;
varying vec3 N;
varying vec3 light;

varying float height;

void main()
{
	height = in_height;

	v = vec3(gl_ModelViewMatrix * gl_Vertex);       
	N = normalize(gl_NormalMatrix * gl_Normal);

    vec4 pointPosition = gl_ModelViewMatrix * gl_Vertex;
    vec4 lightPosition = gl_LightSource[0].position;
    light = normalize(vec3(lightPosition - pointPosition));

	gl_TexCoord[0] = gl_MultiTexCoord0;
	gl_Position = ftransform();
}

